Oracle Linux 5 / 6 : Unbreakable Enterprise kernel (ELSA-2014-3108)

High Nessus Plugin ID 80158

Synopsis

The remote Oracle Linux host is missing one or more security updates.

Description

Description of changes:

kernel-uek [2.6.32-400.36.13.el6uek]
- net: guard tcp_set_keepalive() to tcp sockets (Eric Dumazet) [Orabug: 20224099] {CVE-2012-6657}
- isofs: Fix unbounded recursion when processing relocated directories (Jan Kara) [Orabug: 20224061] {CVE-2014-5471} {CVE-2014-5472}
- x86_64, traps: Stop using IST for #SS (Andy Lutomirski) [Orabug: 20224029] {CVE-2014-9090} {CVE-2014-9322}

Solution

Update the affected unbreakable enterprise kernel packages.

See Also

https://oss.oracle.com/pipermail/el-errata/2014-December/004758.html

https://oss.oracle.com/pipermail/el-errata/2014-December/004759.html

Plugin Details

Severity: High

ID: 80158

File Name: oraclelinux_ELSA-2014-3108.nasl

Version: 1.11

Type: local

Agent: unix

Published: 2014/12/22

Updated: 2019/03/25

Dependencies: 12634, 122878

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.2

Temporal Score: 5.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:kernel-uek, p-cpe:/a:oracle:linux:kernel-uek-debug, p-cpe:/a:oracle:linux:kernel-uek-debug-devel, p-cpe:/a:oracle:linux:kernel-uek-devel, p-cpe:/a:oracle:linux:kernel-uek-doc, p-cpe:/a:oracle:linux:kernel-uek-firmware, p-cpe:/a:oracle:linux:kernel-uek-headers, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.36.13.el5uek, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.36.13.el5uekdebug, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.36.13.el6uek, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.36.13.el6uekdebug, p-cpe:/a:oracle:linux:ofa-2.6.32-400.36.13.el5uek, p-cpe:/a:oracle:linux:ofa-2.6.32-400.36.13.el5uekdebug, p-cpe:/a:oracle:linux:ofa-2.6.32-400.36.13.el6uek, p-cpe:/a:oracle:linux:ofa-2.6.32-400.36.13.el6uekdebug, cpe:/o:oracle:linux:5, cpe:/o:oracle:linux:6

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2014/12/19

Vulnerability Publication Date: 2014/08/31

Reference Information

CVE: CVE-2012-6657, CVE-2014-5471, CVE-2014-5472, CVE-2014-9090, CVE-2014-9322

BID: 69396, 69428, 69803, 71250, 71685